跳转到主要内容
Skill

列出 Skill 版本

列出技能所有版本

GET
/api/v1/agentstudio/skills/{skill_id}/versions
cURL
curl --request GET \
  --url 'https://dashscope.aliyuncs.com/api/v1/agentstudio/skills/{skill_id}/versions' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "data": [
    {
      "id": "skillver_xxx",
      "skill_id": "skill_xxx",
      "type": "skill_version",
      "name": "pdf3.0",
      "description": "从 SKILL.md 解析的描述",
      "version": "1.1",
      "status": "active",
      "created_at": "2026-06-16T08:12:47+00:00",
      "updated_at": "2026-06-16T08:14:30+00:00"
    },
    {
      "id": "skillver_xxx",
      "skill_id": "skill_xxx",
      "type": "skill_version",
      "name": "pdf3.0",
      "description": "从 SKILL.md 解析的描述",
      "version": "1.0",
      "status": "rejected",
      "created_at": "2026-06-16T07:56:03+00:00",
      "updated_at": "2026-06-16T07:57:42+00:00",
      "additional_properties": {
        "error_info": {
          "/index.js": "[Dangerous Tools Without Confirmation] Line 179: ...",
          "/SKILL.md": "[Dangerous Tools Without Confirmation] Line 10: ..."
        }
      }
    }
  ],
  "next_page": "xxx",
  "request_id": "xxx"
}

鉴权

string
header
必填

DashScope API Key

路径参数

string
必填

查询参数

integer
默认值20

每页数量,最大 100

x <= 100
string

首次不传,后续传上一次响应的 next_page

响应

200-application/json
object[]
string

下一页游标,传入下次请求的 page 参数

string

本次请求的唯一标识